Şablonu düzenle
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Şablonlar
Şablonu düzenle
Şablonu düzenle. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.
POST
/
meta
/
wabas
/
{wabaId}
/
templates
/
{templateIdOrName}
Şablonu düzenle
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Yetkilendirmeler
Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli tutulmalıdır.
Yol Parametreleri
GET /meta/phone-numbers tarafından döndürülen WhatsApp Business hesabı kimliği.
Düzenlemek için kimlik, silmek için ad kullanın.
Gövde
application/json
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
Show child attributes
Show child attributes
Yanıt
200 - application/json
Edit submitted (template returns to review)
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Template not editable (PENDING, or edit limit reached), or templateId unknown | Only APPROVED/REJECTED templates can be edited, max 10 edits/month |
502 | Graph unreachable or timed out | Retry with backoff |
Bu sayfa yararlı mıydı?